AlgorithmParametersSpi
Date: 2016-06-24

java.security

## Class AlgorithmParametersSpi

- java.lang.Object
- - java.security.AlgorithmParametersSpi

-     public abstract class AlgorithmParametersSpi
      extends Object

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `AlgorithmParametersSpi()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected abstract byte[]` | `engineGetEncoded()`
    `protected abstract byte[]` | `engineGetEncoded(String var0)`
    `protected abstract AlgorithmParameterSpec` | `engineGetParameterSpec(Class var0)`
    `protected abstract void` | `engineInit(AlgorithmParameterSpec var0)`
    `protected abstract void` | `engineInit(byte[] var0)`
    `protected abstract void` | `engineInit(byte[] var0, String var1)`
    `protected abstract String` | `engineToString()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### AlgorithmParametersSpi

          public AlgorithmParametersSpi()

  - ### Method Detail

    - #### engineGetEncoded

          protected abstract byte[] engineGetEncoded()
                                              throws IOException

      Throws:
        `IOException`

    - #### engineGetEncoded

          protected abstract byte[] engineGetEncoded(String var0)
                                              throws IOException

      Throws:
        `IOException`

    - #### engineGetParameterSpec

          protected abstract AlgorithmParameterSpec engineGetParameterSpec(Class var0)
                                                                    throws InvalidParameterSpecException

      Throws:
        `InvalidParameterSpecException`

    - #### engineInit

          protected abstract void engineInit(AlgorithmParameterSpec var0)
                                      throws InvalidParameterSpecException

      Throws:
        `InvalidParameterSpecException`

    - #### engineInit

          protected abstract void engineInit(byte[] var0)
                                      throws IOException

      Throws:
        `IOException`

    - #### engineInit

          protected abstract void engineInit(byte[] var0,
                        String var1)
                                      throws IOException

      Throws:
        `IOException`

    - #### engineToString

          protected abstract String engineToString()